import { JavaObject } from '../../../java/lang/JavaObject';
export declare class ENMLeistungBemerkungen extends JavaObject {
    ASV: String | null;
    AUE: String | null;
    ZB: String | null;
    LELS: String | null;
    schulformEmpf: String | null;
    individuelleVersetzungsbemerkungen: String | null;
    foerderbemerkungen: String | null;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): ENMLeistungBemerkungen;
    static transpilerToJSON(obj: ENMLeistungBemerkungen): string;
    static transpilerToJSONPatch(obj: Partial<ENMLeistungBemerkungen>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_enm_ENMLeistungBemerkungen(obj: unknown): ENMLeistungBemerkungen;
